Package org.kapott.hbci.protocol

## Class MultipleSEGs

- java.lang.Object
- - org.kapott.hbci.protocol.MultipleSyntaxElements
  - - org.kapott.hbci.protocol.MultipleSEGs

    public final class MultipleSEGs
    extends MultipleSyntaxElements

### Constructor Summary

Constructors
`MultipleSEGs​(org.w3c.dom.Node segref, java.lang.String path, char predelim0, char predelim1, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`MultipleSEGs​(org.w3c.dom.Node segref, java.lang.String path, org.w3c.dom.Document syntax)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SyntaxElement` `createAndAppendNewElement​(org.w3c.dom.Node ref, java.lang.String path, int idx, org.w3c.dom.Document syntax)` erzeugt einen neuen eintrag in der elements liste; dabei wird ein syntaxelement erzeugt, das im xml-node ref referenziert wird; idx ist die indexnummer des zu erzeugenden syntaxelementes innerhalb der elementlist
`void` `destroy()`
`void` `getElementPaths​(java.util.Properties p, int[] segref, int[] degref, int[] deref)`
`boolean` `hasValidChilds()`
`void` `init​(org.w3c.dom.Node segref, java.lang.String path, char predelim0, char predelim1, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`void` `init​(org.w3c.dom.Node segref, java.lang.String path, org.w3c.dom.Document syntax)`
`protected SyntaxElement` `parseAndAppendNewElement​(org.w3c.dom.Node ref, java.lang.String path, char predelim, int idx, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)` siehe SyntaxElement::parseElementList()
`java.lang.String` `toString​(int zero)`

### Methods inherited from class org.kapott.hbci.protocol.MultipleSyntaxElements

`addElement, checkSegSeq, enumerateSegs, extractValues, getElement, getElements, getName, getParent, getPath, getSyntaxIdx, getType, getValueOfDE, getValueOfDE, propagateValue, setParent, setSyntaxIdx, storeValidValueInDE, validate, validateOneElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleSEGs

    public MultipleSEGs​(org.w3c.dom.Node segref,
                        java.lang.String path,
                        org.w3c.dom.Document syntax)

#### MultipleSEGs

    public MultipleSEGs​(org.w3c.dom.Node segref,
                        java.lang.String path,
                        char predelim0,
                        char predelim1,
                        java.lang.StringBuffer res,
                        int fullResLen,
                        org.w3c.dom.Document syntax,
                        java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                        java.util.Hashtable<java.lang.String,​java.lang.String> valids)

### Method Detail

#### createAndAppendNewElement

    protected SyntaxElement createAndAppendNewElement​(org.w3c.dom.Node ref,
                                                      java.lang.String path,
                                                      int idx,
                                                      org.w3c.dom.Document syntax)

Description copied from class: `MultipleSyntaxElements`
erzeugt einen neuen eintrag in der elements liste; dabei wird ein syntaxelement erzeugt, das im xml-node ref referenziert wird; idx ist die indexnummer des zu erzeugenden syntaxelementes innerhalb der elementlist

Specified by:
  `createAndAppendNewElement` in class `MultipleSyntaxElements`

#### init

    public void init​(org.w3c.dom.Node segref,
                     java.lang.String path,
                     org.w3c.dom.Document syntax)

Overrides:
  `init` in class `MultipleSyntaxElements`

#### toString

    public java.lang.String toString​(int zero)

Overrides:
  `toString` in class `MultipleSyntaxElements`

#### init

    public void init​(org.w3c.dom.Node segref,
                     java.lang.String path,
                     char predelim0,
                     char predelim1,
                     java.lang.StringBuffer res,
                     int fullResLen,
                     org.w3c.dom.Document syntax,
                     java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                     java.util.Hashtable<java.lang.String,​java.lang.String> valids)

Overrides:
  `init` in class `MultipleSyntaxElements`

#### parseAndAppendNewElement

    protected SyntaxElement parseAndAppendNewElement​(org.w3c.dom.Node ref,
                                                     java.lang.String path,
                                                     char predelim,
                                                     int idx,
                                                     java.lang.StringBuffer res,
                                                     int fullResLen,
                                                     org.w3c.dom.Document syntax,
                                                     java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                                                     java.util.Hashtable<java.lang.String,​java.lang.String> valids)

Description copied from class: `MultipleSyntaxElements`
siehe SyntaxElement::parseElementList()

Specified by:
  `parseAndAppendNewElement` in class `MultipleSyntaxElements`

#### getElementPaths

    public void getElementPaths​(java.util.Properties p,
                                int[] segref,
                                int[] degref,
                                int[] deref)

Overrides:
  `getElementPaths` in class `MultipleSyntaxElements`

#### hasValidChilds

    public boolean hasValidChilds()

#### destroy

    public void destroy()

Overrides:
  `destroy` in class `MultipleSyntaxElements`